//CharConvertCon.java

import java.io.*;
import java.util.*;

// python-example 11

public class CharConvertCon {
   public static void main(String[] args) throws UnsupportedEncodingException {

       System.out.println("converting all command line args (written in " 
			  + System.getProperty("file.encoding") + ") to utf8");
       for (int i=0; i < args.length; i++) 
	   HelperFormatter.printBytes(args[i].getBytes("UTF8"),"utf8");
       test();
   }

   public static void test() {

      System.out.println("\n---------------\nTEST\n");
      String original = new String("A" + "\u00ea" + "\u00f1"
                                 + "\u00fc" + "C");
   
      System.out.println("original = " + original);
      System.out.println();
   
      try {
          byte[] utf8Bytes = original.getBytes("UTF8");
          byte[] utf16Bytes = original.getBytes("UTF16");
          byte[] defaultBytes = original.getBytes();
 
          String roundTrip = new String(utf8Bytes, "UTF8");
          System.out.println("roundTrip = " + roundTrip);
 
          System.out.println();
          HelperFormatter.printBytes(utf8Bytes, "utf8Bytes");
          System.out.println();
          HelperFormatter.printBytes(utf16Bytes, "utf16Bytes");
          System.out.println();
          HelperFormatter.printBytes(defaultBytes, "defaultBytes");
      } catch (UnsupportedEncodingException e) {
          e.printStackTrace();
      }
   } 

}
